*, *::before, *::after {
    box-sizing: border-box;
}

html, body {
    height: 100vh;
    width: 100vw;
    margin: 0;
    padding: 0;
    
}

body {
    position: relative;
    display: flex;
    flex-direction: column;
}

label {
    width: 1rem;
    height: 1rem;
    cursor: pointer;
}

#hamburger {
    display: none;

    &:checked ~ nav {
        left: 0;
    }
}

header {
    grid-area: nav;
    background-color: hsl(248, 100%, 30%);
    color: whitesmoke;
    font-weight: bold;

    padding: 0.5rem;
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 1rem; 

    label {
        background-color: greenyellow;
    }
}

nav {
    grid-area: nav;
    position: absolute;
    background-color: greenyellow;
    top: 0;
    height: 100vh;
    width: 14rem;
    left: -14rem;
    transition: left 1s;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: stretch;
    padding: 0;

    .filter-header {
        background-color: hsl(248, 100%, 15%);
        color: whitesmoke;
        font-weight: bold;
    
        padding: 0.5rem;
        display: flex;
        justify-content: start;
        align-items: center;
        gap: 1rem; 

        span {
            display: block;
            flex: 1;
        }

        label[for=hamburger] {
            align-self: flex-end;
            background-color: red;
        
        }
    }
    
        ul, li {
            list-style-type: none;
            margin: 0;
        }

    ul {
        padding: 0;

        li {
            padding: 0.5rem;
        }
    }

    li {
        label {
            padding: 0.5rem;
        }
        label:hover {
            background-color: hsl(248, 100%, 30%);
            color: whitesmoke;
        }
    }
}

main {
    grid-area: nav;
    flex: 1;
    background-color: linear-gradient(to right, rgba(30, 75, 115, 1), rgba(255, 255, 255, 0));
    overflow-y: scroll;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 1rem 0 1rem 0;

    img {
        aspect-ratio: 1;
        
    }
}
